Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class ResourceConverterBase

    java.lang.Object
      de.grogra.util.ResourceConverterBase

All Implemented Interfaces:
  ResourceConverter

Direct Known Subclasses:
  ImageIconTheme, ScaledIconTheme, URLIconTheme

    public abstract class ResourceConverterBase

extends java.lang.Object
implements ResourceConverter

Field Summary
`protected StringMap` | `map`
`protected java.lang.String` | `name`

Fields inherited from interface de.grogra.util.ResourceConverter
`CAT, LINK`

Constructor Summary
`ResourceConverterBase(java.lang.String name, StringMap map)`

Method Summary
`boolean` | `canHandleConversion(java.lang.String name)`
`java.lang.Object` | `convert(java.lang.String name, java.lang.String resource, I18NBundle bundle)`
`protected abstract java.lang.Object` | `convertImpl(java.lang.String key, I18NBundle bundle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected StringMap map

### name

    protected final java.lang.String name

Constructor Detail

### ResourceConverterBase

    public ResourceConverterBase(java.lang.String name,
                                 StringMap map)

Method Detail

### canHandleConversion

    public boolean canHandleConversion(java.lang.String name)

  Specified by:
    `canHandleConversion` in interface `ResourceConverter`

### convert

    public java.lang.Object convert(java.lang.String name,
                                    java.lang.String resource,
                                    I18NBundle bundle)

  Specified by:
    `convert` in interface `ResourceConverter`

### convertImpl

    protected abstract java.lang.Object convertImpl(java.lang.String key,
                                                    I18NBundle bundle)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD